#
# spec file for package leafpad
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           leafpad
Version:        0.8.18.1
Release:        13.3
Summary:        Lightweight Text Editor and Notepad Clone
License:        GPL-2.0
Group:          Productivity/Editors/Other
Url:            http://tarot.freeshell.org/leafpad/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libgnomeprint-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Leafpad is a simple GTK+ based text editor. The user interface is
similar to "notepad", and it aims to be lighter than GEdit and KWrite
and to be as useful as them.

Following features are intended...
- Minimum requirement: for portability
- Minimal menu item: to make full use of features and to learn easily
- No toolbar: to maximize area to view text
- Single document interface (SDI): to set out windows to view at a
  time
- Character coding auto detection: to open file quickly without
  multi-codeset problem

Leafpad is released under the GNU General Public License (GPL).

%prep
%setup -q

%build
%configure \
	--enable-print \
	--enable-gnomeprint \
	--enable-chooser
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%suse_update_desktop_file -r leafpad Utility TextEditor
%find_lang "%{name}"

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/leafpad
%{_datadir}/applications/leafpad.desktop
%{_datadir}/pixmaps/leafpad.png
%{_datadir}/pixmaps/leafpad.xpm
%{_datadir}/icons/*/*/apps/leafpad.*

%changelog
* Wed Aug 27 2014 trcs@gmx.com
- applied spec-cleaner
* Mon May 30 2011 andrea@opensuse.org
- new upstream version 0.8.18.1
  * Fixed action when file name contains colon
  * Fixed memory leak on saving file
  * Fixed caseless search bug
  * Fixed memory leak on line numbering
  * Fixed truncation on saving file
  * Added translations: eo, gl
  * Updated translations: fi, hu
- fixed license line
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un and %%icon_theme_cache_post/un
* Sun Dec 13 2009 andrea@opensuse.org
- new upstream version 0.8.17
* Sat Oct 24 2009 andrea@opensuse.org
- spec file clean up, porting from Pascal Bleser package
